Bio::Matrix::Scoring(3pm)

NAME
Bio::Matrix::Scoring - Object which can hold scoring matrix information

SYNOPSIS
  use Bio::Matrix::Scoring;

DESCRIPTION
An object which can handle AA or NT scoring matrix information. Some transformation properties are available too.

FEEDBACK

  Mailing Lists
User feedback is an integral part of the evolution of this and other Bioperl modules. Send your comments and suggestions preferably to the Bioperl mailing list. Your participation is much appreciated.

  bioperl-l@bioperl.org                  - General discussion
  http://bioperl.org/wiki/Mailing_lists  - About the mailing lists

  Support
Please direct usage questions or support issues to the mailing list:

bioperl-l@bioperl.org

rather than to the module maintainer directly. Many experienced and reponsive experts will be able look at the problem and quickly address it. Please include a thorough description of the problem with code and data examples if at all possible.

  Reporting Bugs
Report bugs to the Bioperl bug tracking system to help us keep track of the bugs and their resolution. Bug reports can be submitted via the web:

  https://github.com/bioperl/bioperl-live/issues

AUTHOR - Jason Stajich
Email jason-at-bioperl-dot-org

APPENDIX
The rest of the documentation details each of the object methods. Internal methods are usually preceded with a _

  new
 Title   : new
 Usage   : my $obj = Bio::Matrix::Scoring->new();
 Function: Builds a new Bio::Matrix::Scoring object
 Returns : an instance of Bio::Matrix::Scoring
 Args    :

  entropy
 Title   : entropy
 Usage   : $obj->entropy($newval)
 Function:
 Example :
 Returns : value of entropy (a scalar)
 Args    : on set, new value (a scalar or undef, optional)

  expected_score
 Title   : expected_score
 Usage   : $obj->expected_score($newval)
 Function:
 Example :
 Returns : value of expected (a scalar)
 Args    : on set, new value (a scalar or undef, optional)

  scale
 Title   : scale
 Usage   : $obj->scale($newval)
 Function:
 Example :
 Returns : value of scale (a scalar)
 Args    : on set, new value (a scalar or undef, optional)

  scale_value
 Title   : scale_value
 Usage   : $obj->scale_value($newval)
 Function:
 Example :
 Returns : value of scale_value (a scalar)
 Args    : on set, new value (a scalar or undef, optional)

  description
 Title   : description
 Usage   : $obj->description($newval)
 Function:
 Example :
 Returns : value of description (a scalar)
 Args    : on set, new value (a scalar or undef, optional)

  database
 Title   : database
 Usage   : $obj->database($newval)
 Function:
 Example :
 Returns : value of database (a scalar)
 Args    : on set, new value (a scalar or undef, optional)

  lowest_score
 Title   : lowest_score
 Usage   : $obj->lowest_score($newval)
 Function:
 Example :
 Returns : value of lowest_score (a scalar)
 Args    : on set, new value (a scalar or undef, optional)

  highest_score
 Title   : highest_score
 Usage   : $obj->highest_score($newval)
 Function:
 Example :
 Returns : value of highest_score (a scalar)
 Args    : on set, new value (a scalar or undef, optional)

  lambda
 Title   : lambda
 Usage   : $obj->lambda($newval)
 Function:
 Example :
 Returns : value of lambda (a scalar)
 Args    : on set, new value (a scalar or undef, optional)

  H
 Title   : H
 Usage   : $obj->H($newval)
 Function:
 Example :
 Returns : value of H (a scalar)
 Args    : on set, new value (a scalar or undef, optional)